# uproot.writing.identify.to_TArray

Defined in uproot.writing.identify on line 907.

uproot.writing.identify.to_TArray(data)
  Parameters:

    data (numpy.ndarray) – The array to convert to big-endian and wrap as TArrayC, TArrayS, TArrayI, TArrayL, TArrayF, or TArrayD, depending on its dtype.

  This function is for developers to create TArray objects that can be written to ROOT files, to implement conversion routines.